ChangeSet 1.1760.26.24, 2004/06/29 09:50:46-07:00, stern@rowland.harvard.edu

[PATCH] USB Storage: Unusual_devs.h update

On Sat, 26 Jun 2004, Edward C. Bailey wrote:

> Hello,
>
>     I was downloading some pictures from my Digital Wallet to my Fedora
> Core 2 system at the same time I happened to be watching
> /var/log/messages.  Here's what I saw:
>
> Jun 26 12:16:02 raptor kernel: usb 1-1.2: new full speed USB device using address 6
> Jun 26 12:16:02 raptor kernel: usb-storage: This device (097a,0001,0001 S 06 P 01) has unneeded SubClass and Protocol entries in unusual_devs.h
> Jun 26 12:16:02 raptor kernel:    Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>
>
> Given that Minds@Work are out of business, you might not care about this
> information, but I thought I'd pass it on, just in case you do... :-)

What the heck, we'll use it anyway.  Thanks for sending this in.



Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	2004-06-29 16:24:46 -07:00
+++ b/drivers/usb/storage/unusual_devs.h	2004-06-29 16:24:46 -07:00
@@ -696,7 +696,7 @@
 UNUSUAL_DEV(  0x097a, 0x0001, 0x0000, 0x0001,
 		"Minds@Work",
 		"Digital Wallet",
- 		US_SC_SCSI, US_PR_CB, NULL,
+ 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_MODE_XLATE ),
 
 UNUSUAL_DEV(  0x0a16, 0x8888, 0x0100, 0x0100,
